Mandrake Linux Security Advisory : freetype2 (MDKSA-2006:129)

High Nessus Plugin ID 23880


The remote Mandrake Linux host is missing one or more security updates.


An additional overflow, similar to those corrected by patches for CVE-2006-1861 was found in libfreetype. If a user loads a carefully crafted font file with a program linked against FreeType, it could cause the application to crash or execute arbitrary code as the user.

Updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: High

ID: 23880

File Name: mandrake_MDKSA-2006-129.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2006/12/16

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:lib64freetype6, p-cpe:/a:mandriva:linux:lib64freetype6-devel, p-cpe:/a:mandriva:linux:lib64freetype6-static-devel, p-cpe:/a:mandriva:linux:libfreetype6, p-cpe:/a:mandriva:linux:libfreetype6-devel, p-cpe:/a:mandriva:linux:libfreetype6-static-devel, cpe:/o:mandriva:linux:2006

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2006/07/20

Reference Information

CVE: CVE-2006-3467

MDKSA: 2006:129